Bug 834368

Summary: [te_IN] Lohit Telugu does not have the Latin character set
Product: [Fedora] Fedora Reporter: Gopala Krishna Koduri <gopal.iiit>
Component: lohit-telugu-fontsAssignee: Pravin Satpute <psatpute>
Status: CLOSED UPSTREAM QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: 20CC: fonts-bugs, i18n-bugs, psatpute, samjnaa
Target Milestone: ---Keywords: i18n, Triaged
Target Release: ---   
Hardware: All   
OS: All   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-06-18 08:23:24 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
Sample of Latin script DejaVu Sans font homogenously mixed with Lohit Devanagari and Tamil fonts none

Description Gopala Krishna Koduri 2012-06-21 13:01:13 EDT
Description of problem:

The Lohit Telugu font does not come with the default Latin character set which has all the symbols such as hyphen, comma etc. As a result, it is unusable in typesetting, especially in Latex.

Version-Release number of selected component (if applicable):
All releases

How reproducible:
Every time the font is used.

Steps to Reproduce:
1. Use latex to typeset a Telugu document
2. Compile
3. Open PDF
  
Actual results:
None of the symbols such as full-stop, comma, hyphen appear. Instead they are reported as missing in the font.

Expected results:
All the symbols appear properly in the output PDF.

Additional info:
Comment 1 A S Alam 2012-06-21 21:49:53 EDT
lohit-telugu-fonts-2.5.1-2.fc17.noarch
Comment 2 Pravin Satpute 2012-06-22 03:39:09 EDT
Yes, we are facing this problem from long time.
Will soon add Latin characters in Lohit all fonts.
Comment 3 Shriramana Sharma 2012-07-26 00:31:13 EDT
By Latin characters I presume only the script-neutral punctuation marks and numerals are meant. These are already seen in at least Lohit Tamil and Lohit Devanagari fonts. 

Do you think it very important to include Latin basic alphabet A-Z a-z?
Comment 4 Gopala Krishna Koduri 2012-07-26 02:26:25 EDT
It will be useful to include all three of them: punctuation marks, numerals and basic alphabet. At least in Latex, we have to resort to a strange fix to deal with it: http://tex.stackexchange.com/questions/60709/change-the-font-of-hyphenchar/62546

But of course, puncuation marks and numerals have higher priority.
Comment 5 Pravin Satpute 2012-07-26 02:34:14 EDT
Yes, we should have that.
1. Some systems does not fallback to default latin fonts if selected font does not have Latin shapes.

2. Some time default selected Latin font is not matching with Lohit style. 

So its better to have that.
Comment 6 Shriramana Sharma 2012-07-26 05:04:49 EDT
Created attachment 600461 [details]
Sample of Latin script DejaVu Sans font homogenously mixed with Lohit Devanagari and Tamil fonts

Frankly while I do not have any objection to the inclusion of script-neutral (i.e. script=common) characters like the international numerals or punctuation or such, I think it is inadvisable for the Lohit fonts to have Latin alphabets i.e. characters which are script=latin. The Lohit project IMHO is for Indic scripts and whatever script-neutral characters are part and parcel of Indic script orthography. If we start maintaining Latin characters, we would be over-extending our bounds IMHO. 

There would arise questions like what subset of the huge Latin repertoire are we going to support. Just A-Za-z? But people who are working with Indic scripts, especially scholars like me, are bound to have requirements for the Indic transliteration letters like ĀāĪīŪū and so on. Are we going to include them and maintain them also? And some European scholars of Indic matters will be using their language text with Indic scripts, so should we include c-cedilla, a-acute etc etc? What about Russian scholars?

The DejaVu fonts project is already there to provide a full extended repertoire of Latin (and other European and non-European) script characters. DejaVu Sans is quite homogenously mixable with Lohit fonts. I personally recommend using DejaVu Sans for Latin/European scripts in combination with Lohit fonts for Indic scripts.

For illustration, please find attached a document which I finished just today in which I have used Lohit Devanagari and Lohit Tamil fonts with DejaVu Sans. Same Sanskrit text is presented in three scripts including Latin transliteration using diacritics in DejaVu Sans. I am personally a very picky person as to the presentation and font stylistic intercompatibility etc, and I myself feel that DejaVu is more than enough for using Latin (or other European) script text along with Lohit fonts.

Please let us not over-extend our domain.
Comment 7 Pravin Satpute 2012-07-26 05:20:17 EDT
Yes agree with you.
We are only going to support "Basic Latin". That is also due to specific problem we are facing.

Thanks for your patch i will check it and commit.
Comment 8 Pravin Satpute 2012-08-06 08:06:27 EDT
I thought you provided font with addition of characters, sorry.
Yes, Dejavu sans match with Lohit.

Problem is Dejavu and Lohit licenses are different.

I think we can go with Liberation Sans and Lohit both are now under OFL. Sending mail to lohit devel lets discuss there.
Comment 9 Fedora End Of Life 2013-04-03 13:08:56 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 10 Fedora End Of Life 2015-01-09 12:12:36 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2015-05-29 04:45:16 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Pravin Satpute 2015-06-18 08:23:05 EDT
In upstream Lohit, we already having discussions with Dave for getting support for Latin in all Lohit fonts. 

I would like to close and track this in upstream. https://github.com/pravins/lohit/issues/69